Subject: Re: bug#11395: Acknowledgement (24.0.96; Sporadic crashing)

From: Richard Stanton <[email-masked]>
Date: Wed, 2 May 2012 13:48:35 -0700

In case this is useful, here are a couple of Console error dumps:

-------------

Process:         Emacs [78747]
Path:            /Applications/Emacs.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 24.0.95 (9.0)
Code Type:       X86-64 (Native)
Parent Process:  launchd [262]

Date/Time:       2012-05-02 11:38:35.897 -0700
OS Version:      Mac OS X 10.7.3 (11D50)
Report Version:  9

Interval Since Last Report:          6734520 sec
Crashes Since Last Report:           76
Per-App Interval Since Last Report:  1015602 sec
Per-App Crashes Since Last Report:   7
Anonymous UUID:                      5874655D-8694-4877-863C-20AFFC78939E

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: 0x000000000000000d, 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000100000000-0000000100203000 [ 2060K]
r-x/rwx SM=COW  /Applications/Emacs.app/Contents/MacOS/Emacs

Application Specific Information:
objc[78747]: garbage collection is OFF
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8ea3982a __kill + 10
1   org.gnu.Emacs                 	0x00000001000a824b fatal_error_signal +
347
2   libsystem_c.dylib             	0x00007fff8d04acfa _sigtramp + 26
3   libsystem_kernel.dylib        	0x00007fff8ea39ce2 __pthread_kill + 10
4   libsystem_c.dylib             	0x00007fff8cff87d2 pthread_kill + 95
5   libsystem_c.dylib             	0x00007fff8cfe9a7a abort + 143
6   org.gnu.Emacs                 	0x0000000100191f41 ns_term_shutdown + 81
7   org.gnu.Emacs                 	0x00000001000a8217 fatal_error_signal +
295
8   libsystem_c.dylib             	0x00007fff8d04acfa _sigtramp + 26
9   org.gnu.Emacs                 	0x00000001001061fc mem_insert + 124
10  org.gnu.Emacs                 	0x0000000100106407 lisp_align_malloc +
103
11  org.gnu.Emacs                 	0x000000010010748a Fcons + 170
12  org.gnu.Emacs                 	0x000000010015e8f3 exec_byte_code + 3059
13  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
14  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
15  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
16  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
17  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
18  org.gnu.Emacs                 	0x0000000100125cde call1 + 30
19  org.gnu.Emacs                 	0x000000010012cc31 mapcar1 + 161
20  org.gnu.Emacs                 	0x000000010012cec8 Fmapc + 88
21  org.gnu.Emacs                 	0x0000000100123c55 Ffuncall + 1125
22  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
23  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
24  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
25  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
26  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
27  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
28  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
29  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
30  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
31  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
32  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
33  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
34  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
35  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
36  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
37  org.gnu.Emacs                 	0x000000010011fff6 Fcall_interactively
+ 6374
38  org.gnu.Emacs                 	0x0000000100123c42 Ffuncall + 1106
39  org.gnu.Emacs                 	0x000000010015f3bc exec_byte_code + 5820
40  org.gnu.Emacs                 	0x00000001001236fb funcall_lambda + 763
41  org.gnu.Emacs                 	0x0000000100123a44 Ffuncall + 596
42  org.gnu.Emacs                 	0x000000010011fff6 Fcall_interactively
+ 6374
43  org.gnu.Emacs                 	0x0000000100123c42 Ffuncall + 1106
44  org.gnu.Emacs                 	0x0000000100123e26 call3 + 38
45  org.gnu.Emacs                 	0x00000001000bc16e command_loop_1 + 1134
46  org.gnu.Emacs                 	0x0000000100122285
internal_condition_case + 293
47  org.gnu.Emacs                 	0x00000001000b1787 command_loop_2 + 55
48  org.gnu.Emacs                 	0x0000000100122389 internal_catch + 217
49  org.gnu.Emacs                 	0x00000001000b1f0c recursive_edit_1 +
364
50  org.gnu.Emacs                 	0x00000001000b2082 Frecursive_edit + 290
51  org.gnu.Emacs                 	0x00000001000a8f4e main + 3262
52  org.gnu.Emacs                 	0x00000001000022f4 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8ea3a7e6 kevent + 10
1   libdispatch.dylib             	0x00007fff956a65be _dispatch_mgr_invoke
+ 923
2   libdispatch.dylib             	0x00007fff956a514e _dispatch_mgr_thread
+ 54

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx:
0x00007fff5fbfd388  rdx: 0x0000000000000000
  rdi: 0x000000000001339b  rsi: 0x0000000000000006  rbp:
0x00007fff5fbfd3c0  rsp: 0x00007fff5fbfd388
   r8: 0x0000000000000001   r9: 0x0000000000000010  r10:
0x00007fff8ea39d0a  r11: 0xffffff80002d8220
  r12: 0x0000000000000006  r13: 0x000000010058a688  r14:
0x00007fff79aed960  r15: 0x00000001029b4bf0
  rip: 0x00007fff8ea3982a  rfl: 0x0000000000000202  cr2: 0x00007fff79ae4a28
Logical CPU: 0

-----------------

Process:         Emacs [7081]
Path:            /Applications/Emacs.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 24.0.96 (9.0)
Code Type:       X86-64 (Native)
Parent Process:  launchd [262]

Date/Time:       2012-05-02 11:19:19.695 -0700
OS Version:      Mac OS X 10.7.3 (11D50)
Report Version:  9

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
objc[7081]: garbage collection is OFF
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8ea39ce2 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff8cff87d2 pthread_kill + 95
2   libsystem_c.dylib             	0x00007fff8cfe9a7a abort + 143
3   org.gnu.Emacs                 	0x0000000100191f41 ns_term_shutdown + 81
4   org.gnu.Emacs                 	0x00000001000a81a7 fatal_error_signal +
295
5   libsystem_c.dylib             	0x00007fff8d04acfa _sigtramp + 26
6   libsystem_kernel.dylib        	0x00007fff8ea39ce2 __pthread_kill + 10
7   libsystem_c.dylib             	0x00007fff8cff87d2 pthread_kill + 95
8   libsystem_c.dylib             	0x00007fff8cfe9a7a abort + 143
9   org.gnu.Emacs                 	0x0000000100110a69 find_symbol_value +
73
10  org.gnu.Emacs                 	0x0000000100110db1 Fsymbol_value + 17
11  org.gnu.Emacs                 	0x0000000100122c56 eval_sub + 742
12  org.gnu.Emacs                 	0x0000000100122dd2 eval_sub + 1122
13  org.gnu.Emacs                 	0x00000001001496ab readevalloop + 923
14  org.gnu.Emacs                 	0x000000010014b546 Fload + 1366
15  org.gnu.Emacs                 	0x0000000100123ba0 Ffuncall + 1056
16  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
17  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
18  org.gnu.Emacs                 	0x000000010012472b apply_lambda + 267
19  org.gnu.Emacs                 	0x0000000100122bfe eval_sub + 654
20  org.gnu.Emacs                 	0x000000010012336f Fprogn + 47
21  org.gnu.Emacs                 	0x000000010012372a funcall_lambda + 922
22  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
23  org.gnu.Emacs                 	0x0000000100125d09 funcall_nil + 9
24  org.gnu.Emacs                 	0x00000001001213be run_hook_with_args +
238
25  org.gnu.Emacs                 	0x000000010012158d Frun_hooks + 61
26  org.gnu.Emacs                 	0x0000000100123c2b Ffuncall + 1195
27  org.gnu.Emacs                 	0x00000001001224c6 Fapply + 390
28  org.gnu.Emacs                 	0x0000000100123c2b Ffuncall + 1195
29  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
30  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
31  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
32  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
33  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
34  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
35  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
36  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
37  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
38  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
39  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
40  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
41  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
42  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
43  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
44  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
45  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
46  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
47  org.gnu.Emacs                 	0x000000010011ff86 Fcall_interactively
+ 6374
48  org.gnu.Emacs                 	0x0000000100123bd2 Ffuncall + 1106
49  org.gnu.Emacs                 	0x000000010015f38c exec_byte_code + 5820
50  org.gnu.Emacs                 	0x000000010012368b funcall_lambda + 763
51  org.gnu.Emacs                 	0x00000001001239d4 Ffuncall + 596
52  org.gnu.Emacs                 	0x000000010011ff86 Fcall_interactively
+ 6374
53  org.gnu.Emacs                 	0x0000000100123bd2 Ffuncall + 1106
54  org.gnu.Emacs                 	0x0000000100123db6 call3 + 38
55  org.gnu.Emacs                 	0x00000001000bc0fe command_loop_1 + 1134
56  org.gnu.Emacs                 	0x0000000100122215
internal_condition_case + 293
57  org.gnu.Emacs                 	0x00000001000b1717 command_loop_2 + 55
58  org.gnu.Emacs                 	0x0000000100122319 internal_catch + 217
59  org.gnu.Emacs                 	0x00000001000b1e9c recursive_edit_1 +
364
60  org.gnu.Emacs                 	0x00000001000b2012 Frecursive_edit + 290
61  org.gnu.Emacs                 	0x00000001000a8ede main + 3262
62  org.gnu.Emacs                 	0x00000001000021f4 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8ea3a7e6 kevent + 10
1   libdispatch.dylib             	0x00007fff956a65be _dispatch_mgr_invoke
+ 923
2   libdispatch.dylib             	0x00007fff956a514e _dispatch_mgr_thread
+ 54

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx:
0x00007fff5fbfcfe8  rdx: 0x0000000000000000
  rdi: 0x0000000000000b07  rsi: 0x0000000000000006  rbp:
0x00007fff5fbfd010  rsp: 0x00007fff5fbfcfe8
   r8: 0x00007fff79aeafb8   r9: 0x0000000000000010  r10:
0x00007fff8ea39d0a  r11: 0xffffff80002d8220
  r12: 0x0000000000000006  r13: 0x000000010058a688  r14:
0x00007fff79aed960  r15: 0x0000000000000003
  rip: 0x00007fff8ea39ce2  rfl: 0x0000000000000246  cr2: 0x0000000100db2d68
Logical CPU: 0